import { IWidgetInstance } from "../apis/api.interfaces";
export declare class WidgetInstanceElement extends HTMLElement {
    private _instance;
    private _initializeWidget;
    private _isInitialized;
    private _observedAttributes;
    private _attributeCallbacks;
    private _observer;
    private _isAdaptiveCardRendered;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    addAttributeListener(attrName: string, callback: Function): string;
    removeAttributeListener(attrName: string, attrId: string): void;
    attributeChangedCallback(attrName: string, oldVal: any, newVal: any): void;
    get observedAttributes(): Set<string>;
    get instance(): IWidgetInstance | null;
    set instance(val: IWidgetInstance | null);
    get initializeFn(): (() => Promise<void>) | null;
    set initializeFn(val: (() => Promise<void>) | null);
    get isAdaptiveCardRendered(): boolean;
    set isAdaptiveCardRendered(val: boolean);
}
